#pragma once

#include <RobotAPI/libraries/armem/core/workingmemory/ice_conversions.h>

#include <RobotAPI/interface/armem/query.h>
#include <RobotAPI/libraries/armem/core/DataMode.h>

#include "../base/BaseQueryProcessorBase.h"


namespace armarx::armem::wm::query_proc
{
    /**
     * @brief Base class for memory query processors.
     */
    template <class DataT, class QueryT>
    class BaseQueryProcessor :
        virtual public base::query_proc::BaseQueryProcessorBase<DataT, QueryT>
    {
        using Base = base::query_proc::BaseQueryProcessorBase<DataT, QueryT>;

    public:
        BaseQueryProcessor(DataMode dataMode = DataMode::WithData) :
            dataMode(dataMode)
        {}

    protected:
        DataMode dataMode;
    };
}
