#pragma once

#include <RobotAPI/libraries/armem_robot/types.h>

#include <RobotAPI/libraries/armem_robot/aron/RobotDescription.aron.generated.h>
#include <RobotAPI/libraries/armem_robot/aron/RobotState.aron.generated.h>
#include <RobotAPI/libraries/armem_robot/aron/Robot.aron.generated.h>

namespace armarx::armem::robot
{
    // TODO move the following
    void fromAron(const long& dto, IceUtil::Time& time);
    void toAron(long& dto, const IceUtil::Time& time);
    // end TODO

    void fromAron(const arondto::Robot& dto, Robot& bo);
    void toAron(arondto::Robot& dto, const Robot& bo);

    void fromAron(const arondto::RobotDescription& dto, RobotDescription& bo);
    void toAron(arondto::RobotDescription& dto, const RobotDescription& bo);

    void fromAron(const arondto::RobotState& dto, RobotState& bo);
    void toAron(arondto::RobotState& dto, const RobotState& bo);

}  // namespace armarx::armem::robot
